Submitted By: Ken Moffat <ken at linuxfromscratch dot org>
Date: 2018-06-17
Initial Package Version: 67.0.3396.87
Upstream Status: Believed to be applied, https://chromium-review.googlesource.com/c/chromium/src/+/1061464
Origin: Foiund at fedora, as chromium-67.0.3396.62-boolfix.patch
Description: Fixes compile with gcc-8, which otherwise errors with
messages like
error: cannot convert ‘const mojo::ScopedInterfaceEndpointHandle’ to ‘bool’

diff -up chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_ptr_info.h.boolfix chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_ptr_info.h
--- chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_ptr_info.h.boolfix	2018-05-30 04:43:17.000000000 -0400
+++ chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_ptr_info.h	2018-05-30 12:33:03.268912315 -0400
@@ -45,7 +45,7 @@ class AssociatedInterfacePtrInfo {
 
   bool is_valid() const { return handle_.is_valid(); }
 
-  explicit operator bool() const { return handle_; }
+  explicit operator bool() const { return (bool) handle_; }
 
   ScopedInterfaceEndpointHandle PassHandle() {
     return std::move(handle_);
diff -up chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_request.h.boolfix chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_request.h
--- chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_request.h.boolfix	2018-05-30 04:43:17.000000000 -0400
+++ chromium-67.0.3396.62/mojo/public/cpp/bindings/associated_interface_request.h	2018-05-30 12:33:03.269912294 -0400
@@ -50,7 +50,7 @@ class AssociatedInterfaceRequest {
   // handle.
   bool is_pending() const { return handle_.is_valid(); }
 
-  explicit operator bool() const { return handle_; }
+  explicit operator bool() const { return (bool) handle_; }
 
   ScopedInterfaceEndpointHandle PassHandle() { return std::move(handle_); }
 
diff -up chromium-67.0.3396.62/mojo/public/cpp/bindings/interface_request.h.boolfix chromium-67.0.3396.62/mojo/public/cpp/bindings/interface_request.h
--- chromium-67.0.3396.62/mojo/public/cpp/bindings/interface_request.h.boolfix	2018-05-30 12:33:03.270912274 -0400
+++ chromium-67.0.3396.62/mojo/public/cpp/bindings/interface_request.h	2018-05-30 12:34:05.156637922 -0400
@@ -54,7 +54,7 @@ class InterfaceRequest {
   // Indicates whether the request currently contains a valid message pipe.
   bool is_pending() const { return handle_.is_valid(); }
 
-  explicit operator bool() const { return handle_.is_valid(); }
+  explicit operator bool() const { return (bool) handle_.is_valid(); }
 
   // Removes the message pipe from the request and returns it.
   ScopedMessagePipeHandle PassMessagePipe() { return std::move(handle_); }
